Bug 434657 - new vixie-cron totally broken due to pam mismatch
new vixie-cron totally broken due to pam mismatch
Status: CLOSED DUPLICATE of bug 433459
Product: Fedora
Classification: Fedora
Component: vixie-cron (Show other bugs)
8
i386 Linux
low Severity high
: ---
: ---
Assigned To: Marcela Mašláňová
Fedora Extras Quality Assurance
:
: 436461 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-23 20:47 EST by John Mellor
Modified: 2008-03-07 08:13 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-25 02:24:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Mellor 2008-02-23 20:47:51 EST
Description of problem:
cron no longer working due to incompatible pam libs

Version-Release number of selected component (if applicable):
vixie-cron-4.2-8.fc8

How reproducible:
100%, totally broken by latest updates

Steps to Reproduce:
1. update box to current
2. note that cron stops working, and /var/log/secure shows a mess.
  
Actual results:
excerpt from /var/log/secure due to broken cron:
Feb 23 20:01:01 mellor crond[25033]: PAM unable to
dlopen(/lib/security/pam_access.so)
Feb 23 20:01:01 mellor crond[25033]: PAM [error: /lib/libpam.so.0: version
`LIBPAM_MODUTIL_1.1' not found (required by /lib/security/pam_access.so)]
Feb 23 20:01:01 mellor crond[25033]: PAM adding faulty module:
/lib/security/pam_access.so
Feb 23 20:01:01 mellor crond[25033]: PAM unable to
dlopen(/lib/security/pam_limits.so)
Feb 23 20:01:01 mellor crond[25033]: PAM [error: /lib/libpam.so.0: version
`LIBPAM_MODUTIL_1.1' not found (required by /lib/security/pam_limits.so)]
Feb 23 20:01:01 mellor crond[25033]: PAM adding faulty module:
/lib/security/pam_limits.so
Feb 23 20:01:01 mellor crond[25033]: PAM unable to
dlopen(/lib/security/pam_access.so)
Feb 23 20:01:01 mellor crond[25033]: PAM [error: /lib/libpam.so.0: version
`LIBPAM_MODUTIL_1.1' not found (required by /lib/security/pam_access.so)]
Feb 23 20:01:01 mellor crond[25033]: PAM adding faulty module:
/lib/security/pam_access.so
Feb 23 20:01:01 mellor crond[25033]: PAM unable to
dlopen(/lib/security/pam_limits.so)
Feb 23 20:01:01 mellor crond[25033]: PAM [error: /lib/libpam.so.0: version
`LIBPAM_MODUTIL_1.1' not found (required by /lib/security/pam_limits.so)]
Feb 23 20:01:01 mellor crond[25033]: PAM adding faulty module:
/lib/security/pam_limits.so

Expected results:
cron should work like it used to.

Additional info:
Comment 1 John Mellor 2008-02-23 20:50:06 EST
This bug also has security implications, since the log summaries that are built
by a crontask never get run, and therefore never email the admin about attacks, etc.
Comment 2 Marcela Mašláňová 2008-02-25 02:24:08 EST

*** This bug has been marked as a duplicate of 433459 ***
Comment 3 Marcela Mašláňová 2008-03-07 08:03:16 EST
*** Bug 436461 has been marked as a duplicate of this bug. ***
Comment 4 Jon Ciesla 2008-03-07 08:13:21 EST
I didn't find that it was totally broken per se, just broken until I restarted
crond, then it's fine.

Note You need to log in before you can comment on or make changes to this bug.